## freoffice-feedback-plugin 0.1-1

=== Makefile ===
#############################################################################
# Makefile for building: libfeedbackplugin.so
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Nov 9 14:24:49 2010
# Project:  src.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/maemo5-i486/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/maemo5-i486/usr/include/QtCore -I/targets/maemo5-i486/usr/include/QtNetwork -I/targets/maemo5-i486/usr/include/QtGui -I/targets/maemo5-i486/usr/include/QtMaemo5 -I/targets/maemo5-i486/usr/include -I/usr/local/include/office -I/usr/include/office -I/home/maemo/f-office -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = FeedBackPlugin.cpp \
		InputUI.cpp \
		AttachFiles.cpp \
		IndividualFile.cpp moc_FeedBackPlugin.cpp \
		moc_InputUI.cpp \
		moc_AttachFiles.cpp \
		moc_IndividualFile.cpp
OBJECTS       = FeedBackPlugin.o \
		InputUI.o \
		AttachFiles.o \
		IndividualFile.o \
		moc_FeedBackPlugin.o \
		moc_InputUI.o \
		moc_AttachFiles.o \
		moc_IndividualFile.o
DIST          = /targets/maemo5-i486/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = feedbackplugin
DESTDIR       = ../
TARGET        = libfeedbackplugin.so
TARGETD       = libfeedbackplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET): ui_FeedBackPlugin.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: src.pro  /targets/maemo5-i486/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/maemo5-i486/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-i486/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/maemo5-i486/usr/share/qt4/mkspecs/common/g++.conf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-i486/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/feedbackplugin1.0.0 || $(MKDIR) .tmp/feedbackplugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/feedbackplugin1.0.0/ && $(COPY_FILE) --parents FeedBackPlugin.h InputUI.h AttachFiles.h IndividualFile.h .tmp/feedbackplugin1.0.0/ && $(COPY_FILE) --parents FeedBackPlugin.cpp InputUI.cpp AttachFiles.cpp IndividualFile.cpp .tmp/feedbackplugin1.0.0/ && $(COPY_FILE) --parents FeedBackPlugin.ui .tmp/feedbackplugin1.0.0/ && (cd `dirname .tmp/feedbackplugin1.0.0` && $(TAR) feedbackplugin1.0.0.tar feedbackplugin1.0.0 && $(COMPRESS) feedbackplugin1.0.0.tar) && $(MOVE) `dirname .tmp/feedbackplugin1.0.0`/feedbackplugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/feedbackplugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_FeedBackPlugin.cpp moc_InputUI.cpp moc_AttachFiles.cpp moc_IndividualFile.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_FeedBackPlugin.cpp moc_InputUI.cpp moc_AttachFiles.cpp moc_IndividualFile.cpp
moc_FeedBackPlugin.cpp: FeedBackPlugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) FeedBackPlugin.h -o moc_FeedBackPlugin.cpp

moc_InputUI.cpp: ui_FeedBackPlugin.h \
		AttachFiles.h \
		InputUI.h
	/usr/bin/moc $(DEFINES) $(INCPATH) InputUI.h -o moc_InputUI.cpp

moc_AttachFiles.cpp: AttachFiles.h
	/usr/bin/moc $(DEFINES) $(INCPATH) AttachFiles.h -o moc_AttachFiles.cpp

moc_IndividualFile.cpp: IndividualFile.h
	/usr/bin/moc $(DEFINES) $(INCPATH) IndividualFile.h -o moc_IndividualFile.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_FeedBackPlugin.h
compiler_uic_clean:
	-$(DEL_FILE) ui_FeedBackPlugin.h
ui_FeedBackPlugin.h: FeedBackPlugin.ui
	/usr/bin/uic FeedBackPlugin.ui -o ui_FeedBackPlugin.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

FeedBackPlugin.o: FeedBackPlugin.cpp FeedBackPlugin.h \
		InputUI.h \
		ui_FeedBackPlugin.h \
		AttachFiles.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o FeedBackPlugin.o FeedBackPlugin.cpp

InputUI.o: InputUI.cpp InputUI.h \
		ui_FeedBackPlugin.h \
		AttachFiles.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o InputUI.o InputUI.cpp

AttachFiles.o: AttachFiles.cpp AttachFiles.h \
		InputUI.h \
		ui_FeedBackPlugin.h \
		IndividualFile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o AttachFiles.o AttachFiles.cpp

IndividualFile.o: IndividualFile.cpp IndividualFile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o IndividualFile.o IndividualFile.cpp

moc_FeedBackPlugin.o: moc_FeedBackPlugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_FeedBackPlugin.o moc_FeedBackPlugin.cpp

moc_InputUI.o: moc_InputUI.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_InputUI.o moc_InputUI.cpp

moc_AttachFiles.o: moc_AttachFiles.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_AttachFiles.o moc_AttachFiles.cpp

moc_IndividualFile.o: moc_IndividualFile.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_IndividualFile.o moc_IndividualFile.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/freoffice/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/freoffice/ 
	-$(INSTALL_PROGRAM) "../$(TARGET)" "$(INSTALL_ROOT)/usr/lib/freoffice/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/lib/freoffice/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/freoffice/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/freoffice/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
freoffice-feedback-plugin (0.1-1) unstable; urgency=low

  * Initial release

 -- Lassi Nieminen <lassniem@gmail.com>  Tue,  7 Sep 2010 16:38:57 +0530

=== debian/control ===
Source: freoffice-feedback-plugin
Section: libs
Priority: extra
Maintainer: L Nieminen <lassniem@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libkok-dev
Standards-Version: 3.7.2

Package: freoffice-feedback-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Feedback package for FreOffice.
 Feedback plugin for FreOffice that enables user to give his feedback from the application itself.

=== debian/rules ===
#!/usr/bin/make -f

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../src.pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/freoffice-feedback-plugin install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
